poldek segfaults with nss_db installed

Bug #247567 reported by Elan Ruusamäe
2
Affects Status Importance Assigned to Milestone
PLD Linux
Fix Released
Undecided
Unassigned
Ac
Fix Released
High
Elan Ruusamäe

Bug Description

14:41:57 root[pts/1]@hades ~# poldek -l
Segmentation fault
# rpm -qf /lib/libnss_db-2.2.3.so
nss_db-2.2.3-0.pre1.5.i686
# poldek -e nss_db
Segmentation fault
# rpm -e nss_db
# poldek -l
...

Revision history for this message
Elan Ruusamäe (glen666) wrote :

this is due poldek being linked (via rpm-lib) to db4.5 and nss_db linked with db4.2

Revision history for this message
Elan Ruusamäe (glen666) wrote :
Revision history for this message
Elan Ruusamäe (glen666) wrote :

$ poldek -l >/dev/null
$ rpm -q nss_db poldek
nss_db-2.2.3-0.pre1.10.i686
poldek-0.30-0.20080820.23.41.i686

$ grep db /etc/nsswitch.conf
passwd: db files
group: db files
shadow: db files
protocols: db files
services: db files
ethers: db files
rpc: db files
netgroup: db files

Elan Ruusamäe (glen666)
Changed in pld-linux:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers